homepage:
   path: /api/v1/docs
app_home:
   path: /
   controller: App\Controller\HomeController::index

admin_dashboard:
   path: /admin
   controller: App\Controller\Admin\DashboardController::index

client_location:
  path: /client_location
  methods: ['POST']
  controller: App\Controller\HomeController::locatedClientAction

find_buildings:
  path: /api/v1/find_buildings
  methods: ['POST']
  controller: App\Controller\HomeController::findBuildAction

app_payment:
   path: /payment/{token}

   controller: App\Controller\PaymentController::index

payment_option_update:
   path: /api/v1/payment_option_update
   methods: [ 'POST' ]
   controller: App\Controller\PaymentController::updatePaymentOption

app_payment_notify:
   path: /payment_notify
   controller: App\Controller\PaymentController::notifyPayment



app_admin:
   path: /admin_check
   controller: App\Controller\AdminController::index


app_make_offer:
   path: announce_offer/generate
   methods: ['POST']
   controller: App\Controller\AnnounceDetailController::makeOffre


app_get_announce_message:
   path: announce_chat/retrieved
   methods: ['POST']
   controller: App\Controller\AnnounceDetailController::getMessages
app_post_announce_message:
   path: announce_chat/post
   methods: ['POST']
   controller: App\Controller\AnnounceDetailController::postMessage


getStat:
   path: /api/admin/start
   methods: ['POST']
   controller: App\Controller\Admin\DashboardController::getStat

connected_user:
   path: /admin/user-connected/{user_id}
   methods: ['GET']
   controller: App\Controller\Admin\DashboardController::getConnectedUser


display_booking_room:
   path: /admin/display_booking/{booking_id}
   methods: ['GET']
   controller: App\Controller\Admin\DashboardController::displayBooking


app_login:
   path: /login
   controller: App\Controller\Admin\SecurityController::login

app_file_manager:
   path: /file/manager
   controller: App\Controller\FileManagerController::index


app_resend_email:
   path: /resend/email/{user}
   controller: App\Controller\RegistrationController::resendVerifyUserEmail



app_logout:
   path: /logout
   controller: App\Controller\Admin\SecurityController::logout

register:
    path: /api/register
    methods: ['POST']
    controller: App\Controller\UserController::postUserAction

app_register:
    path: /register
    controller: App\Controller\RegistrationController::register

app_verify_email:
    path: /email/verify
    controller: App\Controller\RegistrationController::verifyUserEmail



resetting:
    path: /resetting
    methods: ['PUT']
    controller: App\Controller\UserController::resetPasswordAction

authentication_token:
    path: /api/v1/authentication_token
    methods: ['POST']

gesdinet_jwt_refresh_token:
  path: /api/v1/authentication_token/refresh
  controller: gesdinet.jwtrefreshtoken::refresh


app_user_log:
    path: /user/log
    controller: App\Controller\UserLogController::index

external_service_sms:
    path: /external-service/sms
    methods: ['POST']
    controller: App\Controller\ExternalServiceControler::postSMSAction

graphiql:
    path: /docs/graphiql
    controller: api_platform.graphql.action.graphiql

sendmail:
  path: /external-service/sendmail
  methods: ['POST']
  controller: App\Controller\ExternalServiceControler::sendEmailAction

app_building_detail:
  path: /building/detail
  controller: App\Controller\BuildingDetailController::index


